import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
export class LCDQueryClient {
  constructor({
    requestClient
  }) {
    _defineProperty(this, "req", void 0);
    this.req = requestClient;
    this.auctionParams = this.auctionParams.bind(this);
    this.currentAuctionBasket = this.currentAuctionBasket.bind(this);
    this.auctionModuleState = this.auctionModuleState.bind(this);
  }
  /* Retrieves auction params */

  async auctionParams(_params = {}) {
    const endpoint = `injective/auction/v1beta1/params`;
    return await this.req.get(endpoint);
  }
  /* Retrieves current auction basket with current highest bid and bidder */

  async currentAuctionBasket(_params = {}) {
    const endpoint = `injective/auction/v1beta1/basket`;
    return await this.req.get(endpoint);
  }
  /* Retrieves the entire auction module's state */

  async auctionModuleState(_params = {}) {
    const endpoint = `injective/auction/v1beta1/module_state`;
    return await this.req.get(endpoint);
  }
}